> ## Documentation Index
> Fetch the complete documentation index at: https://browseruse-0aece648-cursor-proxy-indicator-and-text-6cda.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Task Logs

> Get secure download URL for task execution logs with step-by-step details.



## OpenAPI

````yaml cloud/openapi/v2.json get /tasks/{task_id}/logs
openapi: 3.1.0
info:
  title: Browser Use Public API v2
  summary: Browser Use API for running web agents (v2)
  version: 2.0.0
servers:
  - url: https://api.browser-use.com/api/v2
    description: Production server
security: []
paths:
  /tasks/{task_id}/logs:
    get:
      tags:
        - Tasks
      summary: Get Task Logs
      description: >-
        Get secure download URL for task execution logs with step-by-step
        details.
      operationId: get_task_logs_tasks__task_id__logs_get
      parameters:
        - name: task_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Task Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TaskLogFileResponse'
        '404':
          description: Task not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TaskNotFoundError'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
        '500':
          description: Failed to generate download URL
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DownloadUrlGenerationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    TaskLogFileResponse:
      properties:
        downloadUrl:
          type: string
          title: Download URL
          description: URL to download the log file
      type: object
      required:
        - downloadUrl
      title: TaskLogFileResponse
      description: Response model for log file requests
    TaskNotFoundError:
      properties:
        detail:
          type: string
          title: Detail
          default: Task not found
      type: object
      title: TaskNotFoundError
      description: Error response when a task is not found
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    DownloadUrlGenerationError:
      properties:
        detail:
          type: string
          title: Detail
          default: Failed to generate download URL
      type: object
      title: DownloadUrlGenerationError
      description: Error response when download URL generation fails
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-Browser-Use-API-Key

````